Subject: bug#48058: tab-width's docstring

From: Gustavo Barros <[email-masked]>
Date: Thu, 29 Apr 2021 17:14:59 -0300

On Thu, 29 Apr 2021 at 14:35, Eli Zaretskii <[email-masked]> wrote:

>> From: Stefan Kangas <[email-masked]>
>> Date: Thu, 29 Apr 2021 12:05:39 -0500
>> Cc: Gustavo Barros <[email-masked]>, [email-masked]
>> 
>> I agree that the docstring is somewhat confusing, as it seems to rule
>> out that this variable is ever used to control indentation.  But some
>> major modes do precisely that.
>> 
>> Perhaps we could change the docstring note along the lines of:
>> 
>>     NOTE: Some major modes use this variable to determine an 
>>     indentation
>>     step, but Emacs itself only uses this to display the width of a 
>>     TAB
>>     character.
>> 
>> Would something like that make sense?
>
> Something like that, yes.  Perhaps just making the original text less
> definitive will do as well.
>

Just chiming in to say I'm following the discussion attentively, but 
have nothing to add.  Both Stefan's and Eli's suggestions look like 
improvements to me.  And I'll be happy with what you come up with.

Best regards,
Gustavo.